Subject: (RFH Windows breakage) Re: [PATCH 0/3] Remove is_bare_repository_cfg global state

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Dec 2024 08:09:45 +0900

"John Cai via GitGitGadget" <[email-masked]> writes:

> This patch series removes the global state introduced by the
> is_bare_repository_cfg variable by moving it into the repository struct.
> Most of the refactor is done by patch 1. Patch 2 initializes the member in
> places that left it unInitialized, while patch 3 adds a safety measure by
> BUG()ing when the variable has not been properly initialized.
>
> John Cai (3):
>   git: remove is_bare_repository_cfg global variable
>   setup: initialize is_bare_cfg
>   repository: BUG when is_bare_cfg is not initialized

We've been seeing a job "win test (5)" fail on 'seen' for a while,
and I happened to have rebuilt 'seen' without this topic (first by
accident) and the job started passing.

The topic coming from GGG, I'd assume that it byitself will pass the
tests (including Windows ones), so I suspect it is some interaction
with other topics in 'seen'.

As I do not have Windows environment to test and dig into any
problem, often pushing 'seen' with suspect topic(s) removed is the
only way for me to isolate which topic might be causing a problem,
and after doing so, I'll have to leave it up to the author of the
topic to dig further with help from others.

(failing) https://github.com/git/git/actions/runs/12279217687/job/34263221584
(passing) https://github.com/git/git/actions/runs/12286174648/job/34286039276

The difference between these is that the former (failing) one has
this topic with three patches merged at the tip of 'seen', and the
latter (passing) one is the result of tentatively dropping this
topic from the CI run.

Thanks.